# TdApi.PhoneNumberInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PhoneNumberInfo

Package it.tdlight.jni

# Class TdApi.PhoneNumberInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PhoneNumberInfo

Enclosing class:
  TdApi

    public static class TdApi.PhoneNumberInfo
    extends TdApi.Object

Contains information about a phone number.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.CountryInfo` | `country` | Information about the country to which the phone number belongs; may be null.
`String` | `countryCallingCode` | The part of the phone number denoting country calling code or its part.
`String` | `formattedPhoneNumber` | The phone number without country calling code formatted accordingly to local rules.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PhoneNumberInfo()` | Contains information about a phone number.
`PhoneNumberInfo​(TdApi.CountryInfo country, String countryCallingCode, String formattedPhoneNumber)` | Contains information about a phone number.
`PhoneNumberInfo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### country

public TdApi.CountryInfo country
Information about the country to which the phone number belongs; may be null.

### countryCallingCode

public String countryCallingCode
The part of the phone number denoting country calling code or its part.

### formattedPhoneNumber

public String formattedPhoneNumber
The phone number without country calling code formatted accordingly to local rules. Expected digits are returned as '-', but even more digits might be entered by the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PhoneNumberInfo

public PhoneNumberInfo()
Contains information about a phone number.

### PhoneNumberInfo

public PhoneNumberInfo​(TdApi.CountryInfo country, String countryCallingCode, String formattedPhoneNumber)
Contains information about a phone number.

Parameters:
  `country` - CountryInfo Information about the country to which the phone number belongs; may be null.
  `countryCallingCode` - String The part of the phone number denoting country calling code or its part.
  `formattedPhoneNumber` - String The phone number without country calling code formatted accordingly to local rules. Expected digits are returned as '-', but even more digits might be entered by the user.

### PhoneNumberInfo

public PhoneNumberInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`